Apache C++ Standard Library Reference Guide

## less

Library: General utilities

    Does not inherit

- Local Index
- Summary
- Synopsis
- Description
- Interface
- See Also
- Standards Conformance

### Local Index

No Entries

### Summary

A binary function object that returns `true` if its first argument is less than its second

### Synopsis

    #include <functional>

    namespace std {
      template <class T>
      struct less;
    }

### Description

less is a binary function object. Its `operator()` returns `true` if `x` is less than `y`. You can pass a less object to any algorithm that requires a binary function. For example, the `sort()` algorithm can accept a binary function as an alternate comparison object to sort a sequence. less would be used in that algorithm in the following manner:

    vector<int> vec1;
    .
    .
    sort(vec1.begin(), vec1.end(), less<int>());

After this call to `sort()`, `vec1` is sorted in ascending order.

### Interface

    namespace std {

      template <class T>
      struct less : binary_function<T, T, bool> {
        bool operator() (const T&, const T&) const;
      };
    }

### See Also

binary_function, Function Objects

### Standards Conformance

ISO/IEC 14882:1998 -- International Standard for Information Systems -- Programming Language C++, Section 20.3.3